Documentation
Everything, rendered as pages that work without JavaScript. Each document carries its status. Documents are in English; the site's pages exist in Arabic.
Get started
- Quickstart
- Robots, ROS 2 and datasets
- Agent-safety benchmark draft
- Humanitarian Profile 0.2 draft
- Reference hub
- MCP server (npm and registry) exp
- AI agents: connect Cookwala to your agent exp
- MCP server (Python script)
- SDK operations (all languages)
- Scenarios: how they work
- Python package and CLI
- TypeScript types
- ROS 2 interface package
- Samples: clients, agents, orchestrators, gates, recovery, reporting exp
- Samples: packages and cloud targets exp
- Samples: the cross-language contract exp
Core standard
Profiles
Humanitarian and health
Education and policy
- Lesson kit draft
- Research topics
- Policy brief draft
- Model language draft
Simulators
- Home kitchen model
- Two cities model
- One country model
- The world model
- What the simulators found
RFCs
- RFC index
- RFC-0001 Household context draft
- RFC-0002 Registry and directory draft
- RFC-0003 Humanitarian 0.2 draft
- RFC-0004 Health rule packs draft
- RFC-0005 Kitchens and runs draft
- RFC-0006 Federation draft
- RFC-0007 Supply signals draft
- RFC-0008 Conformance reports draft
- RFC-0013 Community recipe submissions draft